# OSGeo::FDO::Commands::Schema::PhysicalElementMapping Class Reference
[OSGeo::FDO::Commands::Schema]

Inheritance diagram for OSGeo::FDO::Commands::Schema::PhysicalElementMapping:

[legend]

List of all members.

## Detailed Description

PhysicalElementMapping is an abstract class that acts as a base class for all Physical Schema Mapping Override classes. FDO also provides a number of sub-classes for particular types of Provider-specific override classes:.

()

- `PhysicalClassMapping:` All classes corresponding to Feature Classes must be based on PhysicalClassMapping.
- `PhysicalPropertyMapping:` Must be the base for all classes corresponding to Properties.
- `PhysicalSchemaMapping:` Must be the base for all types of schema override sets.
- `Other` types of schema override classes can be based directly on PhysicalElementMapping.

## Public Member Functions
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | ChoiceSubElementError (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *parentElement, OSGeo::FDO::Common::StringCollection *subElements)
| Error reporting function that are not yet part of the supported FDO API. Return a XmlSkipElementHandler, which can be used to skip over the element in error.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | DuplicateSubElementError (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *parentElement, System::String *subElement, System::String *subElementName)
| Error reporting function that are not yet part of the supported FDO API. Return a XmlSkipElementHandler, which can be used to skip over the element in error.
__property System::Boolean | get_CanSetName ()
__property System::String * | get_Name ()
| Gets the fully qualified name of this element.
__property OSGeo::FDO::Commands::Schema::IPhysicalElementMapping * | get_Parent ()
| Gets the parent of this PhysicalElementMapping or null if this object has not been added to a parent object.
__property System::String * | get_QualifiedName ()
| Gets the fully qualified name of this element.
__property OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | get_SchemaMapping ()
| Gets the PhysicalSchemaMapping that this element is a part of. Returns null if this object has not been added to a feature schema.
System::Void | InitFromXml (OSGeo::FDO::Common::Xml::XmlSaxContext *context, OSGeo::FDO::Common::Xml::XmlAttributeCollection *attributes)
| Initializes this Physical Element Mapping from its XML attributes. Called when the element is deserialized from XML. Can be extended to handle particular XML attributes for derived classes.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | MultiSubElementError (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *parentElement, System::String *subElement)
| Error reporting function that are not yet part of the supported FDO API. Return a XmlSkipElementHandler, which can be used to skip over the element in error.
__property System::Void | set_Name (System::String *name)
| Gets the name of this element.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | SubElementError (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *parentElement, System::String *subElement)
| Error reporting function that are not yet part of the supported FDO API. Return a XmlSkipElementHandler, which can be used to skip over the element in error.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes this Physical Mapping Element to XML. Called when the element is serialized to XML. Can be extended to handle particular XML attributes and sub-elements for derived classes.
## Protected Member Functions
| PhysicalElementMapping (System::IntPtr unmanaged, System::Boolean autoDelete)